OAEP_Base Class Referenceabstract

_ More...

Inheritance diagram for OAEP_Base:

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const

## Detailed Description

_

Definition at line 11 of file oaep.h.

The documentation for this class was generated from the following files:

- oaep.h
- oaep.cpp